MongoGridFSCursor::key
MongoId::__construct
Mongo
PHP Manual

# The MongoId class

## Introduction

A unique identifier created for database objects.

## Class synopsis

MongoId
MongoId {
/* Methods */
__construct ([ string `$id` = NULL ] )
public string __toString ( void )
}

## Table of Contents

- MongoId::__construct — Creates a new id
- MongoId::__toString — Returns a hexidecimal representation of this id

MongoGridFSCursor::key
MongoId::__construct
Mongo
PHP Manual